ChartDirector Ver 5.0 (PHP Edition)

XYChart.addBoxLayer

Usage

addBoxLayer(boxTop, boxBottom [, color [, name ]])

Description

Adds a floating box layer to the XYChart, and specify the data sets to use for drawing the layer.
This method is a simplification of XYChart.addBoxWhiskerLayer. Instead of adding a full box-whisker layer, only the box part is used, resulting in a chart layer displaying floating boxes.

Arguments

Argument | Default | Description
--- | --- | ---
boxTop | (Mandatory) | An array of numbers representing the top edge of the box.
boxBottom | (Mandatory) | An array of numbers representing the bottom edge of the box.
color | -1 | The color to draw the area. -1 means that the color is automatically selected from the color palette.
name | "" | The name of the data set. The name will be used in the legend box, if one is available. An empty string means the data set has no name.

Return Value

A BoxWhiskerLayer object representing the box-whisker layer created.

© 2009 Advanced Software Engineering Limited. All rights reserved.